#ifndef _bounceDCS_h_
#define _bounceDCS_h_

#include <Performer/pf/pfDCS.h>
#include <Performer/pr/pfLinMath.h>

class bounceDCS : public pfDCS
	{
	public:
	 bounceDCS(void);
	 virtual void setPosition(float x,float y,float z);
	 virtual void setVelocity(float x,float y,float z);
	 virtual void setGravity(float g);
	private:
	 pfVec3 position_;
	 pfVec3 velocity_;
	 float gravity_;
	 float prevTime_;
	/* Stuff needed for APP traversal of node */
	public:
	 virtual int app(pfTraverser*);
	 virtual int needsApp(void);
	/* Stuff required to make this a Performer class */
	public:
	 static void init(void);
	 static pfType* getClassType(void){ return classType_; };
	private:
	 static pfType* classType_;
	};

#endif
