#ifndef _bullet_h_
#define _bullet_h_

#include <Performer/pf/pfDCS.h>
#include <Performer/pr/pfLinMath.h>

class bullet : public pfDCS
	{
	public:
	 bullet(void);
	 virtual void setGravity(float g);
	 virtual void setWorld(pfNode *);
	private:
	 pfVec3 position_;
	 pfVec3 velocity_;
	 float gravity_;
	 float prevTime_;
	 int active_;
	 pfNode *world_;
	/* Stuff needed for APP traversal of node */
	public:
	 virtual int app(pfTraverser*);
	 virtual int needsApp(void);
	private:
	 int hitObject(pfVec3);
	/* Stuff required to make this a Performer class */
	public:
	 static void init(void);
	 static pfType* getClassType(void){ return classType_; };
	private:
	 static pfType* classType_;
	};

#endif
