#ifndef _grabberDCS_h_
#define _grabberDCS_h_

#include <Performer/pf/pfDCS.h>

class grabberDCS : public pfDCS
	{
	public:
	 grabberDCS(void);
	 virtual void grab(void);
	 virtual void release(void);
	 virtual int isGrabbed(void);
	 virtual int app(pfTraverser*);
	 virtual int needsApp(void);
	private:
	 int grabbed_;
	 pfMatrix grabMat_;
	 void GetWandMatrix(pfMatrix&);
	 void GetInverseWandMatrix(pfMatrix&);
	/* Stuff required to make this a Performer class */
	public:
	 static void init(void);
	 static pfType* getClassType(void){ return classType_; };
	private:
	 static pfType* classType_;
	};

#endif
