#ifndef _gravDCS_h_
#define _gravDCS_h_

#include "grabberDCS.h"

class gravDCS : public grabberDCS
	{
	public:
	 gravDCS(void);
	 virtual void setPosition(float x,float y,float z);
	 virtual void setVelocity(float x,float y,float z);
	 virtual void setGravity(float g);
	 virtual void grab(void);
	 virtual void release(void);
	private:
	 pfVec3 position_;
	 pfVec3 velocity_;
	 float gravity_;
	 float prevTime_;
	/* Stuff needed for APP traversal of node */
	public:
	 virtual int app(pfTraverser*);
	 virtual int needsApp(void);
	/* Stuff required to make this a Performer class */
	public:
	 static void init(void);
	 static pfType* getClassType(void){ return classType_; };
	private:
	 static pfType* classType_;
	};

#endif
