#ifndef _simpleNavigator_h_
#define _simpleNavigator_h_

#include <Performer/pf/pfDCS.h>

class simpleNavigator : public pfDCS
	{
	public:
	 simpleNavigator(void);
	 virtual void setTransSpeed(float s);
	 virtual void setRotSpeed(float s);
	 virtual inline float transSpeed(void) { return transSpeed_; }
	 virtual inline float rotSpeed(void) { return rotSpeed_; }
	private:
	 float transSpeed_;
	 float rotSpeed_;
	/* Stuff needed for APP traversal of node */
	public:
	 virtual int app(pfTraverser*);
	 virtual int needsApp(void);
	/* Stuff required to make this a Performer class */
	public:
	 static void init(void);
	 static pfType* getClassType(void){ return classType_; };
	private:
	 static pfType* classType_;
	};

#endif
