#ifndef _walkNavigator_h_
#define _walkNavigator_h_

#include <Performer/pf/pfDCS.h>

class walkNavigator : public pfDCS
	{
	public:
	 walkNavigator(void);
	 virtual int app(pfTraverser*);
	 virtual int needsApp(void);
	 virtual void setTransSpeed(float s);
	 virtual void setRotSpeed(float s);
	 virtual void setGround(pfNode *g);
	 virtual void setIsectMask(int m);
	 virtual void followGround(void);
	 virtual void getFootPosition(pfVec3 &);
	 virtual inline float transSpeed(void) { return transSpeed_; }
	 virtual inline float rotSpeed(void) { return rotSpeed_; }
	 virtual inline pfNode * ground(void) { return ground_; }
	private:
	 float transSpeed_;
	 float rotSpeed_;
	 pfNode *ground_;
	 int isectMask_;
	/* Stuff required to make this a Performer class */
	public:
	 static void init(void);
	 static pfType* getClassType(void){ return classType_; };
	private:
	 static pfType* classType_;
	};

#endif
